Subject: Re: [Bitcoin-development] BIP70 proposed changes

From: Derber <[email-masked]>
Date: Tue, 18 Feb 2014 15:02:34 -0700

Any possibility of a UNIX UTC timestamp field in the customer payment
message?

For many transactions, the exact time of payment is when it is 'made' by
the customer and not when 'requested' by the retailer or later mined. The
blockchain time is an aggregate for the block and can differ significantly
from transaction time so its value is limited.

Small slices of time can greatly impact the transaction value.  If we are
ultimately taxed as a currency, an exact time will for the transaction will
impact US GAAP accounting and the transaction's tax accounting. A time
field may also support 'first come first served' retailer programs and time
sensitive promotions.